FLANG

Public Member Functions | List of all members
Fortran::evaluate::FoldingContext Class Reference

## Public Member Functions
| FoldingContext (const common::IntrinsicTypeDefaultKinds &d, const IntrinsicProcTable &t)
| FoldingContext (const parser::ContextualMessages &m, const common::IntrinsicTypeDefaultKinds &d, const IntrinsicProcTable &t, Rounding round=defaultRounding, bool flush=false)
| FoldingContext (const FoldingContext &that)
| FoldingContext (const FoldingContext &that, const parser::ContextualMessages &m)
parser::ContextualMessages & | messages ()
const parser::ContextualMessages & | messages () const
const common::IntrinsicTypeDefaultKinds & | defaults () const
Rounding | rounding () const
bool | flushSubnormalsToZero () const
bool | bigEndian () const
const semantics::DerivedTypeSpec * | pdtInstance () const
const HostIntrinsicProceduresLibrary & | hostIntrinsicsLibrary () const
const evaluate::IntrinsicProcTable & | intrinsics () const
ConstantSubscript & | StartImpliedDo (parser::CharBlock, ConstantSubscript=1)
std::optional< ConstantSubscript > | GetImpliedDo (parser::CharBlock) const
void | EndImpliedDo (parser::CharBlock)
std::map< parser::CharBlock, ConstantSubscript > & | impliedDos ()
common::Restorer< const semantics::DerivedTypeSpec * > | WithPDTInstance (const semantics::DerivedTypeSpec &spec)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/common.h
- lib/Evaluate/common.cpp